# How to use the "cloudapps" cli  ![Travis CI](https://travis-ci.org/ox42/cloudapps-cli.svg?branch=master)

The cloudapps-cli offers a set of awesome starter kits (boilerplate code) for projects based on Bootstrap, Express, React or Vue. Tested on Windows, Linux and macOS.

To get started, make sure you have Node.js installed and type the following command in a Terminal or a Command Prompt to install "cloudapps" globally:

```
npm install -g cloudapps
```



Afterwards, you can run "cloudapps new" to create a new project from one of our templates:

```
cloudapps new
```

You should set a name for your new project, and choose the template that works best for you. The following templates are currently available:

* A simple Bootstrap starter page
* A landing page template based on Bootstrap
* Node.js Express app with Gulp, Bootstrap and jQuery
* Node.js Express app with a database and authentication
* A React boilerplate app with Bootstrap and Redux
* A complete React app with Bootstrap, Redux and Authentication
* A Vue.js starter kit with Bootstrap and Vuex
* A complete Vue.js app with Bootstrap, Vuex and Authentication


If you detect any issues with our cli, or any of our templates, don't forget to report it on GitHub.
Good luck!


## Thanks

<a href="https://www.browserstack.com/">
  <img src="https://live.browserstack.com/images/opensource/browserstack-logo.svg" alt="BrowserStack Logo" width="192" height="42">
</a>

Thanks to [BrowserStack](https://www.browserstack.com/) for providing the infrastructure that allows us to test in real browsers!


## License

[The MIT License](http://opensource.org/licenses/MIT) 

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Copyright (c) 2019 0x42
